## org.eclipse.datatools.enablement.sybase.deltaddl
Class SybaseDeltaDdlGeneration.FeatureChangeRecord

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.deltaddl.SybaseDeltaDdlGeneration.FeatureChangeRecord

Enclosing class:
  SybaseDeltaDdlGeneration

    public static class SybaseDeltaDdlGeneration.FeatureChangeRecord

extends java.lang.Object

Field Summary
`org.eclipse.emf.ecore.EObject` `changed` The object whose feature is changed
`org.eclipse.emf.ecore.EStructuralFeature` `feature`
`java.lang.Object` `newValue`
`java.lang.Object` `oldValue`

Constructor Summary
`SybaseDeltaDdlGeneration.FeatureChangeRecord()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changed

    public org.eclipse.emf.ecore.EObject changed

  The object whose feature is changed

### feature

    public org.eclipse.emf.ecore.EStructuralFeature feature

### oldValue

    public java.lang.Object oldValue

### newValue

    public java.lang.Object newValue

Constructor Detail

### SybaseDeltaDdlGeneration.FeatureChangeRecord

    public SybaseDeltaDdlGeneration.FeatureChangeRecord()